PaidGoods
API referenceStorefront themes

Import a theme package as a new theme

POST
/v1/stores/{storeId}/storefront/themes/import

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/storefront/themes/import" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "files": {      "property1": "string",      "property2": "string"    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "base": "string",  "baseLabel": "string",  "baseVersion": "string",  "isActive": true,  "version": -9007199254740991,  "hasDraft": true,  "customisedFiles": -9007199254740991,  "update": {    "available": true,    "released": "string",    "files": [      "string"    ]  },  "tier": "free",  "updatedAt": "string",  "createdAt": "string"}